Create Time Log
curl --request POST \
--url https://api.threadi.au/stopwatch/v1/timelogs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"a552213_record_id": "Example Unique StopWatch Time Log ID - 1234567890",
"a552213_assoc_obj_type": "contact",
"a552213_assoc_record_id": "123456789",
"hubspot_owner_id": "998877",
"a552213_description": "Created via StopWatch API",
"a552213_first_start_date": "2026-07-16T00:00:00.000Z",
"a552213_first_end_date": "2026-07-16T01:00:00.000Z",
"a552213_total_minutes": 60
}
}
'import requests
url = "https://api.threadi.au/stopwatch/v1/timelogs"
payload = { "properties": {
"a552213_record_id": "Example Unique StopWatch Time Log ID - 1234567890",
"a552213_assoc_obj_type": "contact",
"a552213_assoc_record_id": "123456789",
"hubspot_owner_id": "998877",
"a552213_description": "Created via StopWatch API",
"a552213_first_start_date": "2026-07-16T00:00:00.000Z",
"a552213_first_end_date": "2026-07-16T01:00:00.000Z",
"a552213_total_minutes": 60
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {
a552213_record_id: 'Example Unique StopWatch Time Log ID - 1234567890',
a552213_assoc_obj_type: 'contact',
a552213_assoc_record_id: '123456789',
hubspot_owner_id: '998877',
a552213_description: 'Created via StopWatch API',
a552213_first_start_date: '2026-07-16T00:00:00.000Z',
a552213_first_end_date: '2026-07-16T01:00:00.000Z',
a552213_total_minutes: 60
}
})
};
fetch('https://api.threadi.au/stopwatch/v1/timelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "151993156822",
"properties": {
"a552213_record_id": "Example Unique StopWatch Time Log ID - 1234567890",
"a552213_assoc_obj_type": "contact",
"a552213_assoc_record_id": "123456789",
"hubspot_owner_id": "998877",
"a552213_description": "Created via StopWatch API",
"a552213_first_start_date": "2026-07-16T00:00:00.000Z",
"a552213_first_end_date": "2026-07-16T01:00:00.000Z",
"a552213_total_minutes": 60
},
"createdAt": "2026-07-16T00:00:00.000Z",
"updatedAt": "2026-07-16T00:00:00.000Z",
"archived": false,
"association": {
"attempted": true,
"status": "success",
"fromObjectType": "a552213_TIME_LOG",
"fromRecordId": "151993156822",
"toObjectType": "contacts",
"toRecordId": "123456789",
"statusCode": 200
}
}{
"id": "151993156822",
"properties": {
"a552213_record_id": "Example Unique StopWatch Time Log ID - 1234567890",
"a552213_assoc_obj_type": "contact",
"a552213_assoc_record_id": "123456789",
"hubspot_owner_id": "998877",
"a552213_description": "Created via StopWatch API",
"a552213_first_start_date": "2026-07-16T00:00:00.000Z",
"a552213_first_end_date": "2026-07-16T01:00:00.000Z",
"a552213_total_minutes": 60
},
"createdAt": "2026-07-16T00:00:00.000Z",
"updatedAt": "2026-07-16T00:00:00.000Z",
"archived": false,
"association": {
"attempted": true,
"status": "failed",
"fromObjectType": "a552213_TIME_LOG",
"fromRecordId": "151993156822",
"toObjectType": "contacts",
"toRecordId": "123456789",
"statusCode": 404,
"error": "HubSpot association target record was not found."
}
}{
"error": "HubSpot API Error",
"details": "<hubspot error as string>"
}{
"error": "Invalid API key"
}{
"error": "API key has been deactivated"
}{
"error": "Daily quota exceeded",
"details": "This API key has reached its UTC daily request limit. Use response header x-stopwatch-ratelimit-reset to know when this quota will reset."
}{
"error": "Internal Server Error",
"details": "An unexpected error occurred."
}{
"error": "Service temporarily busy",
"details": "Unable to process request right now. Please retry shortly."
}API Reference
Create Time Log
Creates a StopWatch Time Log record and attempts to set a corresponding HubSpot CRM association.
POST
/
stopwatch
/
v1
/
timelogs
Create Time Log
Authorizations
Bearer Authorization header of the form Bearer {token}, where {token} is your API key. By default, each API key is rate-limited to 1,000 requests per day (UTC). If you need a higher daily limit, please submit a support request.
Body
application/json
Properties must use exact, whole HubSpot property internal names. Retrieve valid property names from the List Properties endpoint. Calculated and app-managed properties cannot be set.
Show child attributes
Show child attributes
⌘I

